This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546996 - screensaver can take ~1minute to show password prompt under winbind
screensaver can take ~1minute to show password prompt under winbind
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-12 22:46 EST by Jason Haar
Modified: 2011-06-27 10:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2009-12-12 22:46:52 EST
Description of problem:

I exclusively use winbind for authentication (ie no accounts in /etc/passwd) and when my screen is locked, it can take 30-60sec for the screensaver password prompt to appear after I hit ENTER/etc.

I have a couple of other winbind-related bus open (499312 and 538330) and think this is a timing issue with how long winbind takes to decide whether or no it can currently take to a domain controller. It would have all the information it needs to return details to gnome-screensaver instantly - but only does that after it decides its offline or gets an answer from a domain controller.

Version-Release number of selected component (if applicable):


How reproducible:

all the time

Steps to Reproduce:
1. lock screen
2. go away
3. hit ENTER
4. wait long time for password prompt
  
Actual results:

wait a long time for the password prompt. I have also had the password prompt NEVER show up (ie I end up having to reboot!)

Expected results:

gnome-screensaver (or pam, or winbind - you guys choose) should trigger getting cached creds faster. 

Additional info:

I guess we should ask "how does Windows do it?". I know that Windows will only wait 3-5sec for an authentication attempt to be answered by domain controllers before failing over to cached checks - maybe gnome-screensaver (or pam?) should do it quicker too?
Comment 1 Bug Zapper 2010-11-03 23:29:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jason Haar 2010-11-03 23:33:59 EDT
Still a problem under F13. It also routinely gives me a "bad password" error which should be impossible. Both winbind and nscd are caching passwords, so it seems to me that sometimes something (pam?) is confusing a winbind network error with "bad password" and flushes its cache instead of relying on it?
Comment 3 Bug Zapper 2011-06-02 13:08:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 12:00:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2011-06-27 10:41:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.